#ifndef DIALOGUE_H
#define DIALOGUE_H

#include <QObject>
#include <QtNetwork>

class Dialogue : public QObject
{
   Q_OBJECT

   public:
      Dialogue(QObject *parent = 0);
      ~Dialogue();
      void demarrer(QString adresseIP, int port);
      void arreter();
      bool envoyer(const QString &message);

   private:      
      QTcpSocket *serveur;
      bool connecte;

   private slots:
      void estConnecte();
      void estDeconnecte();
      void recevoir();

   signals:
      void donneesRecues(const QString &);
};

#endif
