#ifndef _PORT_H_
#define _PORT_H_

#include "qextserialenumerator.h"
#include "qextserialport.h"

//#define DEGUG_PORT

class Port : public QObject
{
    Q_OBJECT

  private:
    QextSerialPort *port;

  public:
    Port();
    Port(const QString &portName);
    ~Port();

    bool ouvrir(const QString &portName);
    int  ecrire(const QString &trame);
    int  ecrire(const QString trame, int nb);
    int  recevoir(QString &message);
    char lire();
    long nbOctetsDisponibles();
    bool estOuvert();

    qint64 read(char * data, qint64 maxSize);
    qint64 write(const char * data, qint64 maxSize);
    qint64 write(const char * data);

  private slots:
    void onReadyRead();
};

#endif /*PORT_H_*/
